> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get space search

> Search bases and nodes within a space



## OpenAPI

````yaml /swagger.json get /space/{spaceId}/search
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /space/{spaceId}/search:
    get:
      tags:
        - space
      description: Search bases and nodes within a space
      parameters:
        - schema:
            type: string
          required: true
          name: spaceId
          in: path
        - schema:
            type: string
            enum:
              - space
              - base
              - table
              - view
              - field
              - record
              - workflow
              - app
              - dashboard
              - folder
          required: false
          name: type
          in: query
        - schema:
            type: string
            minLength: 1
          required: true
          name: search
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 50
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: cursor
          in: query
      responses:
        '200':
          description: Returns the search results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  list:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        type:
                          type: string
                          enum:
                            - space
                            - base
                            - table
                            - view
                            - field
                            - record
                            - workflow
                            - app
                            - dashboard
                            - folder
                        icon:
                          type: string
                          nullable: true
                        baseId:
                          type: string
                        baseName:
                          type: string
                        createdTime:
                          type: string
                        createdUser:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            avatar:
                              type: string
                              nullable: true
                          required:
                            - id
                            - name
                            - avatar
                      required:
                        - id
                        - name
                        - type
                        - icon
                        - baseId
                        - baseName
                        - createdTime
                  total:
                    type: number
                  nextCursor:
                    type: string
                    nullable: true
                required:
                  - list
                  - total
                  - nextCursor
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/space/%7BspaceId%7D/search?type=SOME_STRING_VALUE&search=SOME_STRING_VALUE&pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/space/%7BspaceId%7D/search?type=SOME_STRING_VALUE&search=SOME_STRING_VALUE&pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/space/%7BspaceId%7D/search?type=SOME_STRING_VALUE&search=SOME_STRING_VALUE&pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/space/%7BspaceId%7D/search?type=SOME_STRING_VALUE&search=SOME_STRING_VALUE&pageSize=SOME_INTEGER_VALUE&cursor=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````